/*
 * Created on 19.10.2004
 */

package de.renew.engine.events;

import de.renew.net.PlaceInstance;


/**
 * Notifies the user of the clearing of a given {@link PlaceInstance}.
 *
 * @author Sven Offermann
 */
public class Clearing extends PlaceEvent {

    /**
     * Creates a new Clearing event for a given {@link PlaceInstance}.
     *
     * @param placeInstance the given {@link PlaceInstance} for the initialization of the {@link PlaceEvent}
     */
    public Clearing(PlaceInstance placeInstance) {
        super(placeInstance);
    }

    @Override
    public String toString() {
        return "Clearing " + getPlaceInstance();
    }
}